Name:           perl-Net-Stomp
Version:        0.45
Release:        3%{?dist}
Summary:        Stomp client module for Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Stomp/
Source0:        http://search.cpan.org/CPAN/authors/id/J/JT/JTANG/Net-Stomp-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::Pod)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module allows you to write a Stomp client. Stomp, the Streaming Text
Orientated Messaging Protocol, is a simple and easy to implement protocol
for working with Message Orientated Middleware.

Net::Stomp can be used to communicate with Apache ActiveMQ, an
enterprise-level Java Message Service 1.1 (JMS) message broker.


%prep
%setup -q -n Net-Stomp-%{version}

# Perl interpreter path
%{__sed} -i -e 's~^#!perl~#!%{__perl}~' examples/*.pl

%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc CHANGES examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.45-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 28 2013 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.45-1
- Update to a later upstream release

* Thu Oct 24 2013 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.42-8
- Bulk sad and useless attempt at consistent SPEC file formatting

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.42-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Petr Pisar <ppisar@redhat.com> - 0.42-6
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.42-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.42-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Petr Pisar <ppisar@redhat.com> - 0.42-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.42-1
- apply Jose Pedro Oliviera's patch:
-  Updated to 0.42
-  Examples included as documentation files
-  Source URL updated (different maintainer)

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.36-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.36-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.36-2
- 661697 rebuild for fixing problems with vendorach/lib

* Sun Jun 27 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.36-1
- Update to later release

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.34-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.34-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.34-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.34-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 03 2009 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 0.34-2
- Fix description wording (thanks to Manuel Wolfshant)

* Fri Jan 30 2009 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 0.34-1
- Specfile autogenerated by cpanspec 1.77.
- Fixed BuildRequires
